package com.bocloud.nms.model.agile.vas;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: HuaInternalLink
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/3/13 13:54
 */
public class AgileVasLinkModel {
    private String uuid; //链路对象标识
    private String name;//链路对象名称。
    private String vasIp;//逻辑VAS侧的逻辑接口IP和掩码。
    private String vlan;//互联VLAN。
    private String routerIp;//逻辑路由器的逻辑接口IP和掩码
    private String vasPortUuid;//vasport标识。
    private String direction; //方向 internal/external
    //内部
    private String routerIpv6;//逻辑路由器的逻辑IPV6。（目前不支持IPv6）
    private String vasIpv6;//逻辑VAS侧的逻辑接口IPV6。（目前不支持IPv6）
    //外部
    private String externalGatewayUuid;//逻辑VAS连接的外部网关
    private String externalNetworkUuid;//逻辑VAS连接的外部网络域。
    private String vasUuid;

    public String getVasUuid() {
        return vasUuid;
    }

    public void setVasUuid(String vasUuid) {
        this.vasUuid = vasUuid;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVasIp() {
        return vasIp;
    }

    public void setVasIp(String vasIp) {
        this.vasIp = vasIp;
    }

    public String getVlan() {
        return vlan;
    }

    public void setVlan(String vlan) {
        this.vlan = vlan;
    }

    public String getRouterIp() {
        return routerIp;
    }

    public void setRouterIp(String routerIp) {
        this.routerIp = routerIp;
    }

    public String getVasPortUuid() {
        return vasPortUuid;
    }

    public void setVasPortUuid(String vasPortUuid) {
        this.vasPortUuid = vasPortUuid;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getRouterIpv6() {
        return routerIpv6;
    }

    public void setRouterIpv6(String routerIpv6) {
        this.routerIpv6 = routerIpv6;
    }

    public String getVasIpv6() {
        return vasIpv6;
    }

    public void setVasIpv6(String vasIpv6) {
        this.vasIpv6 = vasIpv6;
    }

    public String getExternalGatewayUuid() {
        return externalGatewayUuid;
    }

    public void setExternalGatewayUuid(String externalGatewayUuid) {
        this.externalGatewayUuid = externalGatewayUuid;
    }

    public String getExternalNetworkUuid() {
        return externalNetworkUuid;
    }

    public void setExternalNetworkUuid(String externalNetworkUuid) {
        this.externalNetworkUuid = externalNetworkUuid;
    }
}
